Public Member Functions | Public Attributes | List of all members
clan::LineRay3x< Type > Class Template Reference
clanCore Math

3D line ray More...

`#include <line_ray.h>`

## Public Member Functions
| LineRay3x ()
| LineRay3x (const LineRay3x< Type > &copy)
| LineRay3x (const Vec3< Type > &point_p, const Vec3< Type > &direction_v)
Operators
LineRay3x< Type > & | operator= (const LineRay3x< Type > &copy)
| = operator. More...
bool | operator== (const LineRay3x< Type > &line) const
| == operator. More...
bool | operator!= (const LineRay3x< Type > &line) const
| != operator. More...

## Public Attributes
Vec3< Type > | p
| Start point on the line ray. More...
Vec3< Type > | v

## Detailed Description

### template<typename Type>
class clan::LineRay3x< Type >

3D line ray

A ray has a start point and a direction
These line templates are defined for: int (LineRay3), float (LineRay3f), double (LineRay3d)

The documentation for this class was generated from the following file:

- line_ray.h